SDL Library Documentation
Prev |  | Next

# SDL_WaitEvent

## Name

SDL_WaitEvent -- Waits indefinitely for the next available event.

## Synopsis

    #include "SDL.h"

``int SDL_WaitEvent`(SDL_Event *event);`

## Description

Waits indefinitely for the next available event, returning 1, or 0 if there was an error while waiting for events.

If `event` is not `NULL`, the next event is removed from the queue and stored in that area.

## See Also

SDL_Event, `SDL_PollEvent`

Prev | Home | Next
SDL_PollEvent | Up | SDL_PushEvent